Bug 835655 - play coredumps; no sound
play coredumps; no sound
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 14:08 EDT by David A. De Graaf
Modified: 2013-07-31 23:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:09:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David A. De Graaf 2012-06-26 14:08:48 EDT
Description of problem:
With alsa-plugins-pulseaudio not installed, play coredumps.

Version-Release number of selected component (if applicable):
pulseaudio-1.1-9.fc17.x86_64

How reproducible:
Perfectly

Steps to Reproduce:
1.  play /usr/share/sounds/KDE-Sys-Log-In.ogg
2.
3.
  
Actual results:
dsp_protocol_open_node(): Could not open pcm device file /dev/dsptask/pcm2
  Segmentation fault (core dumped)


Expected results:
Sound; as in F16

Additional info:
Does anyone know how to allow root and users other than me to use the
sound system?

Ever since pulseaudio was introduced in Fedora 8 and Mr. Lennart
Poettering inflicted his peculiar ideas of security on us, the default
installation hasn't worked properly, despite many BZ's and copious
complaints!  Specifically, pulseaudio invents the "seat" and only the
one person in the "seat" can use the sound system.  This precludes
having root, or anyone else, from generating sounds - presumably it's a
security risk.  Bosh!

A simple workaround was found - remove the alsa-plugins-pulseaudio
package, and edit /etc/group, adding everyone on the system to the
audio group (what a nutty idea).  That removed the restrictions and
restored sanity.  Root could even generate a login tune via the
/etc/rc.d/rc.local script, before anyone had logged on.

With F17, this escape hatch has been removed. 
With the alsa-plugins-pulseaudio package absent, a simple command to
play a sound yields a core dump:

  $ play /usr/share/sounds/KDE-Sys-Log-In.ogg
  dsp_protocol_open_node(): Could not open pcm device file /dev/dsptask/pcm2
  Segmentation fault (core dumped)

The pcm device file is, indeed, absent from the file system.
In fact, no sounds whatever can be generated by any of the standard
methods I use.  (Except that Windows running inside VirtualBox seems
able to manage it.)

To get any sound at all, I've had to reinstall the
alsa-plugins-pulseaudio package, but this allows only me to generate
sound and destroys my crontab-simulated grandfather clock, among other
things.

On an i386 netbook, F17 sound works fine, as it always has, with the
alsa-plugins-pulseaudio package removed.  The play program doesn't
complain about the absence of /dev/dsptask/pcm2, but just plays the
sound.

What new magic incantation is now required that I may be permitted
to use my x86_64 sound system fully?
Comment 1 David A. De Graaf 2012-07-04 15:22:18 EDT
I have discovered that removing the alsa-plugins-maemo package as well as the
alsa-plugins-pulseaudio package restores normal functionality.  That is, both I and root can generate sounds.

This seems like an acceptable work-around.
It should probably be the default.
Comment 2 Fedora End Of Life 2013-07-03 19:58:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 23:09:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.